package com.ruoyi.common.constant;

/**
 * 缓存的key 常量
 *
 * @author ruoyi
 */
public class CacheConstants
{
    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";

    /**
     * 设备定位信息 redis key
     */
    public static final String CACHE_DEVICE_KEY = "device:";

    /**
     * 设备离线计数
     */
    public static final String DEVICE_OFFLINE_INCREMENT = "device_offline_increment:";

    /**
     * 设备在线状态
     */
    public static final String DEVICE_ONLINE_STATUS = "device_online_status:";

    /**
     * 待插入的命令日志
     */
    public static final String INSERT_COMMAND_LOG = "insert_command_log";

    /**
     * 所有APP信息
     */
    public static final String ALL_APP_LIST = "all_app_list";
}
