package com.ruoyi.ss.card.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class GroupBuyingDTO {

    @NotNull(message = "店铺ID不能为空")
    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("加密数据")
//    @NotBlank(message = "加密数据不能为空")
    private String encryptedData;

    @ApiModelProperty("卡券码")
    private String code;

}
