package com.ruoyi.ss.carousel.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 轮播图对象 ss_carousel
 *
 * @author qzz
 * @date 2024-12-13
 */
@Data
public class Carousel extends BaseEntity{

    private static final long serialVersionUID = 1L;

    private Long carouselId;

    @Excel(name = "地址")
    @ApiModelProperty("地址")
    private String picture;

    @Excel(name = "店铺id")
    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("类型：1-公共；2-店铺；")
    private String type;

}
