package com.ruoyi.ss.device.domain.dto;

import com.ruoyi.common.constant.DictTypeConstants;
import com.ruoyi.system.valid.DictValid;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class PlacementDTO {

//    @NotNull(message = "设备id不能为空")
    private Long deviceId;

//    @NotNull(message = "设备id不能为空")
    private String sn;

    @NotBlank(message = "投放类型不能为空")
    @DictValid(type = DictTypeConstants.EQUIPMENT_TYPE, message = "非法的投放类型")
    private String type;

    @NotNull(message = "投放对象id不能为空")
    private Long objId;
}
