package com.ruoyi.ss.equipment.service;

import com.ruoyi.ss.equipment.domain.EquipmentVO;

import java.util.List;

/**
 * 设施组装器
 *
 * @author qzz
 * @date 2024-12-21
 */
public interface IEquipmentAssembler
{
    /**
     * 拼接设施下所有设备
     * @param equipment 房间对象
     */
    void assembleDeviceInfo(EquipmentVO equipment);

    /**
     * 拼接设施下所有设备
     * @param equipment 房间对象
     */
    void assembleDeviceInfo(List<EquipmentVO> equipment);

//    /**
//     * 拼接设施下所有套餐
//     * @param equipmentVO 房间对象
//     */
//    void assembleRuleInfo(EquipmentVO equipmentVO);

//    /**
//     * 拼接设施下所有套餐
//     * @param equipmentVO 房间对象
//     */
//    void assembleRuleInfo(List<EquipmentVO> equipmentVO);
}
