package com.ruoyi.ss.order.domain;

import com.ruoyi.ss.app.domain.AppVO;
import com.ruoyi.ss.card.domain.SsCardVO;
import com.ruoyi.ss.cardOrder.domain.CardOrder;
import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.order.domain.dto.CardOrderDTO;
import com.ruoyi.ss.store.domain.StoreVO;
import com.ruoyi.ss.user.domain.UserVO;
import lombok.Data;

@Data
public class CardOrderBO {

    // dto
    private CardOrderDTO dto;

    // 卡券
    private SsCardVO card;

    //app用户
    private UserVO user;

    //商户
    private UserVO merchant;

    // 店铺
    private StoreVO store;

    // 新订单
    private CardOrder cardOrder;

    // 卡类型：1-储值卡;2-小时卡;3-团购券;4-次卡
    private String type;

    // 支付渠道
    private ChannelVO channel;

    // app
    private AppVO app;


}
