package com.ruoyi.ss.refund.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class RefundVO extends Refund {

    /**
     * 支付方式: wx-微信，alipay-支付宝，ye-余额支付
     */
    @ApiModelProperty("支付方式: wx-微信，alipay-支付宝，ye-余额支付")
    private String payType;

    /**
     * 店铺名称
     */
    @ApiModelProperty("店铺名称")
    private String storeName;

    /**
     * 实际支付金额
     */
    @ApiModelProperty("实际支付金额")
    private BigDecimal payFee;
}
