package com.ruoyi.ss.room.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@AllArgsConstructor // 自动生成全参构造函数
@Data
public class BandRuleDTO{

    @ApiModelProperty("套餐id")
    @NotBlank(message = "套餐id不允许为空")
    private Long ruleId;

    @ApiModelProperty("房间id")
    @NotNull(message = "房间id不允许为空")
    private Long roomId;
}
