package com.ruoyi.ss.room.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class SetWifiDTO {

    @ApiModelProperty("wifiId")
    @NotBlank(message = "wifiId不允许为空")
    private Long wifiId;

    @ApiModelProperty("房间id")
    @NotNull(message = "房间id不允许为空")
    private Long roomId;
}
