package com.ruoyi.ss.store.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 大门对象
 *
 * @author qzz
 * @date 2025-1-17
 */
@Data
public class Gate {

    @ApiModelProperty("大门sn(用于控制大门锁)")
    private String gateSn;

    @ApiModelProperty("大门id(用于控制大门锁)")
    private Long gateId;

    @ApiModelProperty("开锁方式: 1-通电开锁；2-断电开锁")
    private String unlockMode;

    @ApiModelProperty("开锁条件：1-有当前订单可进入；2-有历史订单可恶进入；3-无条件")
    private String unlockCondition;

    @ApiModelProperty("开锁时长")
    private Integer unlockTime;

}
