package com.ruoyi.ss.user.service;

import com.ruoyi.ss.user.domain.UserVO;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 用户 业务层
 *
 * @author ruoyi
 */
public interface IUserAssembler
{


    /**
     * 拼接店铺数
     * @param list 用户列表
     */
    void assemblerStoreNum(List<UserVO> list);

    /**
     * 拼接店铺数、房间数、设施数、设备数、总收入、总提现、总消费
     * @param user 用户
     */
    void assembleStatisticalData(UserVO user, LocalDate startDate, LocalDate endDate);
}
