package com.ruoyi.ss.withdraw.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 提现审核DTO
 * @author wjh
 * 2024/7/27
 */
@Data
public class WithdrawApprovalDTO {

    @ApiModelProperty("提现单号")
    @NotNull(message = "提现单号不能为空")
    private String withdrawNo;

    @ApiModelProperty("驳回原因")
    private String rejectReason;

}

