package com.ruoyi.system.domain.query;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * 首页图表数据查询
 *
 * @author 邱贞招
 * @date 2025-02-17
 */
@Data
public class IndexChartQuery {
    /** 开始时间*/
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate startTime;

    /** 结束时间*/
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endTime;
}
