package com.ruoyi.system.domain.vo;

import lombok.Data;
import java.math.BigDecimal;

@Data
public class AdminIndexDataVO {

    /** 用户余额 */
    private BigDecimal userBalance;

    /** 今日余额 */
    private BigDecimal todayBalance;

    /** 商户数 */
    private Integer merchantCount;

    /** 店铺数 */
    private Integer storeCount;

    /** 订单金额 */
    private BigDecimal orderAmount;

    /** 订单数 */
    private Integer orderCount;

    /** 总设备数 */
    private Integer totalDeviceCount;

    /** 使用中设备数 */
    private Integer activeDeviceCount;

    /** 房间数 */
    private Integer roomCount;

    /** 使用中房间数 */
    private Integer activeRoomCount;

    /** 大厅设施数 */
    private Integer hallFacilityCount;

    /** 使用中大厅设施数 */
    private Integer activeHallFacilityCount;

    /** 合作意向数 */
    private Integer partnershipIntentCount;

    /** 提现申请数 */
    private Integer withdrawalRequestCount;


}
