package com.ruoyi.system.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * app首页统计
 *
 * @author 邱贞招
 * @date 2024-05-09
 */
@Data
public class IndexAdminVo {

    /** 今日收入 */
    private BigDecimal todayIncome;

    /** 今日订单数 */
    private Integer todayOrderNum;

    /** 本周收入 */
    private BigDecimal weekIncome;

    /** 本周订单 */
    private Integer weekOrderNum;

    /** 本月收入 */
    private BigDecimal monthIncome;

    /** 本月订单 */
    private Integer monthOrderNum;

    /** 总收入 */
    private BigDecimal totalIncome;

    /** 总订单数 */
    private Integer totalOrderNum;

    /** 用户余额 */
    private BigDecimal balance;

    /**
     * 当前营运情况
     */
    /** 使用中房间 */
    private Integer inUseRoomNum;

    /** 总房间 */
    private Integer totalRoomNum;

    /** 使用中大厅设施 */
    private Integer inUseEquNum;

    /** 总大厅设施 */
    private Integer totalEquNum;

    /** 使用中大厅设施 */
    private Integer inUseDeviceNum;

    /** 总大厅设施 */
    private Integer totalDeviceNum;


}
