package com.ruoyi.system.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 首页根据时间范围查询支付及对账
 */
@Data
public class IndexInCome {

    /** 日期 */
    private LocalDate day;
    /** 订单营收 */
    private BigDecimal orderIncome;
    /** 退款 */
    private BigDecimal refund;
    /** 实际支付 */
    private BigDecimal actualPayment ;
}
