//package com.ruoyi.web.controller.system;
//
//import com.ruoyi.common.core.controller.BaseController;
//import com.ruoyi.common.core.page.TableDataInfo;
//import com.ruoyi.ss.room.domain.RoomQuery;
//import com.ruoyi.ss.room.domain.RoomVO;
//import com.ruoyi.ss.room.service.IRoomAssembler;
//import com.ruoyi.ss.room.service.IRoomService;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.security.access.prepost.PreAuthorize;
//import org.springframework.web.bind.annotation.GetMapping;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RestController;
//
//import java.util.List;
//
//import static com.ruoyi.common.constant.ServiceConstants.ROOM_TYPE2_LOBBY_DEVICE;
//
//
///**
// * 大厅设施Controller
// *
// * @author qzz
// * @date 2024-12-21
// */
//@RestController
//@RequestMapping("/system/hallEqu")
//public class HallEquController extends BaseController
//{
//    @Autowired
//    private IRoomService roomService;
//
//    @Autowired
//    private IRoomAssembler roomAssembler;
//
//    /**
//     * 查询设施列表
//     */
//    @PreAuthorize("@ss.hasPermi('system:equipment:list')")
//    @GetMapping("/list")
//    public TableDataInfo list(RoomQuery query)
//    {
//        startPage();
//        startOrderBy();
//        query.setType(ROOM_TYPE2_LOBBY_DEVICE);
//        List<RoomVO> list =  roomService.selectERoomList(query);
//        roomAssembler.assembleEquipmentList(list);
//        roomAssembler.assembleRuleInfo(list);
//        return getDataTable(list);
//    }
//
////    /**
////     * 导出设施列表
////     */
////    @PreAuthorize("@ss.hasPermi('system:equipment:export')")
////    @Log(title = "设施", businessType = BusinessType.EXPORT)
////    @PostMapping("/export")
////    public void export(HttpServletResponse response, EquipmentQuery query)
////    {
////        List<EquipmentVO> list = equipmentService.selectEquipmentList(query);
////        ExcelUtil<EquipmentVO> util = new ExcelUtil<EquipmentVO>(EquipmentVO.class);
////        util.exportExcel(response, list, "设施数据");
////    }
////
////    /**
////     * 获取设施详细信息
////     */
////    @PreAuthorize("@ss.hasPermi('system:equipment:query')")
////    @GetMapping(value = "/{equipmentId}")
////    public AjaxResult getInfo(@PathVariable("equipmentId") Long equipmentId)
////    {
////        return success(equipmentService.selectEquipmentByEquipmentId(equipmentId));
////    }
////
////    /**
////     * 新增设施
////     */
////    @PreAuthorize("@ss.hasPermi('system:equipment:add')")
////    @Log(title = "设施", businessType = BusinessType.INSERT)
////    @PostMapping
////    public AjaxResult add(@RequestBody Equipment equipment)
////    {
////        return toAjax(equipmentService.insertEquipment(equipment));
////    }
////
////    /**
////     * 修改设施
////     */
////    @PreAuthorize("@ss.hasPermi('system:equipment:edit')")
////    @Log(title = "设施", businessType = BusinessType.UPDATE)
////    @PutMapping
////    public AjaxResult edit(@RequestBody Equipment equipment)
////    {
////        return toAjax(equipmentService.updateEquipment(equipment));
////    }
////
////    /**
////     * 删除设施
////     */
////    @PreAuthorize("@ss.hasPermi('system:equipment:remove')")
////    @Log(title = "设施", businessType = BusinessType.DELETE)
////	@DeleteMapping("/{equipmentIds}")
////    public AjaxResult remove(@PathVariable Long[] equipmentIds)
////    {
////        return toAjax(equipmentService.deleteEquipmentByEquipmentIds(equipmentIds));
////    }
//}
