package com.ruoyi.common.constant;

/**
 * 字典类型
 * @author qzz
 * 2024/7/17
 */
public class DictTypeConstants {

    //  支付方式 wx-微信，alipay-支付宝，ye-余额支付
    public static final String PAY_TYPE = "ss_pay_type";

    // 套餐：1-按小时计费；2-自定义模板
    public static final String FEE_RULE_MODE = "ss_fee_rule_mode";

    // 订单类型
    public static final String ORDER_TYPE = "ss_order_type";

    //  开锁方式: 1-通电开锁；2-断电开锁
    public static final String UNLOCK_MODE = "ss_unlock_mode";

    // 开锁条件：1-有当前订单可进入；2-有历史订单可进入；3-无条件
    public static final String UNLOCK_CONDITION = "ss_unlock_condition";

    // 设施类型：1-房间门；2-麻将桌；3-台球桌；4-房间灯；5-卫生间门；6-大门
    public static final String EQUIPMENT_TYPE = "ss_equipment_type";

    // 提现打款方式
    public static final String WITHDRAW_TYPE = "withdraw_type";

}
