package com.ruoyi.common.core.domain;

import javax.validation.groups.Default;

/**
 * Spring validate group
 * @author qzz
 * 2024/3/6
 */
public interface ValidGroup {

    // 新增
    interface Create extends Default {}

    // 修改
    interface Update extends Default{}

    // 绑定大门
    interface BandGate extends Default{}

    // 大门权限
    interface GateAuth extends Default{}

    // 退款
    interface Refund extends Default{}

    // 新增保洁
    interface CreateCleaner extends Default {}

    // 新增合伙人
    interface CreatePartner extends Default {}

    // 提现
    interface Withdraw extends Default {}
}
