package com.ruoyi.common.core.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
/**
 * 上传收款码
 *
 * @author qiuzhenzhao
 */
@Data
public class CollectionCodeDTO {

    @ApiModelProperty(value = "用户提现渠道Id")
    @NotNull(message = "用户提现渠道Id不能为空")
    private Long userWithdrawChannelId;

    @ApiModelProperty(value = "收款码")
    @NotBlank(message = "收款码不能为空")
    private String collectionCode;

}
