package com.ruoyi.ss.city.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 城市区号对象 e_city_code
 *
 * @author qzz
 * @date 2024-09-19
 */
@Data
public class CityCode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编码id */
    private String code;

    /** 城市 */
    @Excel(name = "城市")
    private String name;
}
