package com.ruoyi.ss.mapping.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 系统与第三方店铺映射关系对象 ss_store_mapping
 *
 * @author qzz
 * @date 2025-03-18
 */
@Data
public class StoreMapping extends BaseEntity{

    private static final long serialVersionUID = 1L;

    private Long storeId;

    @Excel(name = "第三方店铺id")
    @ApiModelProperty("第三方店铺id")
    private String tpStoreId;

    @Excel(name = "1-抖音；2-美团")
    @ApiModelProperty("1-抖音；2-美团")
    private String type;

}
