package com.ruoyi.ss.room.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class BandRulesDTO {

    @ApiModelProperty("套餐ids")
    @NotBlank(message = "套餐ids不允许为空")
    private List<Long> ruleIds;

    @ApiModelProperty("房间id")
    @NotNull(message = "房间id不允许为空")
    private Long roomId;
}
