package com.ruoyi.ss.room.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class RoomDTO {

    @ApiModelProperty("房间门sn)")
    @NotBlank(message = "房间门sn不允许为空")
    private String sn;

    @ApiModelProperty("房间id")
    @NotNull(message = "房间id不允许为空")
    private Long roomId;

}
