package com.ruoyi.system.domain.vo.admin;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class OrderInCome {

    /** 日期 */
    @ApiModelProperty("日期")
    private LocalDate day;

    /** 订单支付金额 */
    @ApiModelProperty("订单支付金额")
    private BigDecimal orderPaid;

    /** 订单退款金额 */
    @ApiModelProperty("订单退款金额")
    private BigDecimal orderRefund;

    /** 实收金额 */
    @ApiModelProperty("实收金额")
    private BigDecimal settlementAmount;

    /** 用户分成 */
    @ApiModelProperty("用户分成")
    private BigDecimal userDivide;

}
