package com.ruoyi.system.domain.vo.admin;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class PlatformInCome {

    /** 日期 */
    @ApiModelProperty("日期")
    private LocalDate day;

    @ApiModelProperty("平台服务费")
    private BigDecimal platformServiceFee;

    @ApiModelProperty("提现服务费")
    private BigDecimal withdrawServiceFee;

    @ApiModelProperty("渠道成本")
    private BigDecimal channelCost;

    @ApiModelProperty("平台收益")
    private BigDecimal platformRevenue;

}
